<?php
require_once "lib/graphic.php";
$graphic = new graphic();

if (!empty($_GET['text'])) {
	$text = stripslashes($_GET['text']);
} else {
	$text = ":)";
}
if (isset($_GET['font']) && is_numeric($_GET['font'])) {
	$font = $_GET['font'];
} else {
	require_once "lib/configfile.php";
	$configfile = new config_file();
	$configfile->readconfig();
	$config = $configfile->getconfig();
	$font = 0;
	if (isset($config->font))
		$font = $config->font;
}
$black = "000000";
$white = "ffffff";
$label = $graphic->labelv2($text, $font, $black, $white);
# Generate PNG file for browser
header('Content-type: image/png');
// HTTP/1.1
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: post-check=0, pre-check=0", false);
// HTTP/1.0
header("Pragma: no-cache");
imagepng($label);
imagedestroy($label);
?>
