<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Weathermap4PHP - Global parameters</title>
		<script type="application/javascript" src="jscripts/form_global.js"></script>
		<link type="text/css" rel="stylesheet" href="css/form_global.css" />
	</head>
	<body>
		<div id="wrapper">
			<h2 style="margin-left: 10px;">Global parameters</h2>
			<hr noshade="noshade" style="color: #000;" />
			<!--- content -->
			<form id="formglobal" name="formglobal" method="post" action="{formaction}" enctype="multipart/form-data">
				<div id="content">
					<table border="0">
						<tr>
							<td>Background :</td>
							<td>
								<select name="background" onchange="updatePic(this.value)">
									<xsl:for-each select="background/entry">
										<option value="{name}">
											<xsl:if test="isselected">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="name" />
										</option>
									</xsl:for-each>
								</select>
							</td>
							<td rowspan="6" style="text-align: center;">
								<img id="background" name="background" src="{bgimgsrc}" height="150px" width="150px" alt="" />
							</td>
						</tr>
						<tr>
							<td>Refresh :</td>
							<td><input id="refresh" name="refresh" size="4" type="text" value="{refresh}" /> seconds</td>
						</tr>
						<tr>
							<td>Width x Height:</td>
							<td>
								<input id="width" name="width" size="4" type="text" value="{width}" /> x <input id="height" name="height" size="4" type="text" value="{height}" /> pixels
							</td>
						</tr>
						<tr>
							<td>Arrow width:</td>
							<td>
								<input id="arrowwidth" name="arrowwidth" size="4" type="text" value="{arrowwidth}" />
							</td>
						</tr>
						<tr>
							<td>Draw grid:</td>
							<td>
								<input id="drawgrid" name="drawgrid" type="checkbox">
									<xsl:if test="drawgrid">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
						</tr>
						<tr>
							<td>Font : </td>
							<td>
								<select name="font">
									<xsl:for-each select="font/entry">
										<option value="{size}" >
											<xsl:if test="isselected">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="text" />
										</option>
									</xsl:for-each>
								</select>
							</td>
						</tr>
						<tr>
							<td>Legend style:</td>
							<td>
								<select name="legendstyle">
									<xsl:for-each select="legendstyle/entry">
										<option value="{style}">
											<xsl:if test="isselected">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="style" />
										</option>
									</xsl:for-each>
								</select>
							</td>
						</tr>
						<tr>
							<td>Title: </td>
							<td><input id="titletext" name="titletext" type="text" size="30" value="{title/text}" /></td>
						</tr>
						<tr>
							<td>Title foreground :</td>
							<td>
								<input id="titleforeground_red" maxlength="3" name="titleforeground_red" size="3" onchange="javascript:changeFG()" value="{title/fg/r}" /> R 
								<input id="titleforeground_green" maxlength="3" name="titleforeground_green" size="3" onchange="javascript:changeFG()" value="{title/fg/g}" /> G 
								<input id="titleforeground_blue" maxlength="3" name="titleforeground_blue" size="3" onchange="javascript:changeFG()" value="{title/fg/b}" /> B
							</td>
							<td id="fgsample" name="fgsample" style="background:rgb({title/fg/g},{title/fg/g},{title/fg/b})">
								<span style="text-align: center;">
									<span style="color: #000000;">Sample</span>
									<span style="color: #808080;">Sample</span>
									<span style="color: #FFFFFF;">Sample</span>
								</span>
							</td>
						</tr>
						<tr>
							<td>Title background :</td>
							<td>
								<input id="titlebackground_red" maxlength="3" name="titlebackground_red" size="3" onchange="javascript:changeBG()" value="{title/bg/r}" /> R 
								<input id="titlebackground_green" maxlength="3" name="titlebackground_green" size="3" onchange="javascript:changeBG()" value="{title/bg/g}" /> G 
								<input id="titlebackground_blue" maxlength="3" name="titlebackround_blue" size="3" onchange="javascript:changeBG()" value="{title/bg/b}" /> B
							</td>
							<td id="bgsample" name="bgsample" style="background:rgb({title/bg/r},{title/bg/g},{title/bg/b})">
								<span style="text-align: center;">
									<span style="color:#000000;">Sample</span>
									<span style="color:#808080;">Sample</span>
									<span style="color: #FFFFFF;">Sample</span>
								</span> 
							</td>
						</tr>
						<tr>
							<td>HTML File: </td>
							<td><input id="htmlfile" name="htmlfile" type="text" size="30" value="{htmlfile}" /></td>
						</tr>
						<tr>
							<td>Output File: </td>
							<td><input id="outputfile" name="outputfile" type="text" size="30" value="{outputfile}" /></td>
						</tr>
						<tr>
							<td>Availability checks</td>
							<td>
								<input id="ipcheck" name="ipcheck" type="checkbox">
									<xsl:if test="ipcheck">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
						</tr>
					</table>
				</div>
				<hr noshade="noshade" style="color: #000;" />
				<!--- footer -->
				<div id="foot">
					<div style="padding: 0.25em 0.5em 0.25em 0.5em">
						<a href="javascript:document.formglobal.submit()" style="margin-left: 100px;">Update</a>
						<a href="{cancellink}" style="margin-left: 150px;">Cancel</a>
					</div>
				</div>
			</form>
		</div>
	</body>
</html>
